﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using System.Drawing.Drawing2D;
using System.Drawing;
using Infragistics.Win.UltraWinGrid;

namespace WinRowEditTamplateGrafics
{
    class MyDraw:IUIElementDrawFilter
    {
        #region IUIElementDrawFilter Members

        public bool DrawElement(DrawPhase drawPhase, ref UIElementDrawParams drawParams)
        {
            if (drawPhase == DrawPhase.BeforeDrawElement || drawPhase == DrawPhase.BeforeDrawBackColor)
            {
                drawParams.Graphics.Clear(Color.Tomato);
                GraphicsPath gp = new GraphicsPath();
                gp.StartFigure();
                gp.AddArc(-10, 10, 100, 100, 20, 50);
                gp.AddLine(20, 50, 70, 230);
                gp.CloseFigure();
                gp.AddEllipse(drawParams.Element.Rect);
                drawParams.Element.Control.FindForm().Region = new Region(gp);
                drawParams.AppearanceData.BackColor = Color.Tomato;
            }
            return true;
        }

        public DrawPhase GetPhasesToFilter(ref UIElementDrawParams drawParams)
        {
            if (drawParams.Element is RowEditTemplateControlUIElement)
                return DrawPhase.BeforeDrawElement | DrawPhase.BeforeDrawBackColor;
            else
                return DrawPhase.None;
        }

        #endregion
    }
}
